Skip to main content
GET
/
v1
/
banks
/
wires
List all wire bank accounts
curl --request GET \
  --url https://api-sandbox.circle.com/v1/banks/wires \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.circle.com/v1/banks/wires"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.circle.com/v1/banks/wires', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "description": "WELLS FARGO BANK, NA ****0010",
      "trackingRef": "<string>",
      "fingerprint": "eb170539-9e1c-4e92-bf4f-1d09534fdca2",
      "billingDetails": {
        "name": "Satoshi Nakamoto",
        "city": "Boston",
        "country": "US",
        "line1": "100 Money Street",
        "postalCode": "01234",
        "line2": "Suite 1",
        "district": "MA",
        "valid": true
      },
      "createDate": "2020-04-10T02:13:30.000Z",
      "updateDate": "2020-04-10T02:13:30.000Z",
      "type": "wire",
      "bankAddress": {
        "country": "US",
        "bankName": "SAN FRANCISCO",
        "city": "SAN FRANCISCO",
        "line1": "100 Money Street",
        "line2": "Suite 1",
        "district": "CA"
      },
      "virtualAccountEnabled": false,
      "ffcMemo": "<string>",
      "policyEvaluation": {
        "status": "approved"
      }
    }
  ]
}
{
"code": 4,
"message": "Unauthorized."
}
{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

clientEntityId
string<uuid>

Identifier of the client entity. Filters results to fetch only resources associated with the specified client entity.

Example:

"a3f1b2c4-d5e6-7890-abcd-ef1234567890"

Response

Successfully retrieved a list of bank accounts.

data
object[]